package com.ims.eval.service;

import com.ims.eval.entity.EvaluateRuleInfo;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ims.eval.entity.dto.response.EvaluateRuleInfoIndicatorDTO;
import com.ims.eval.entity.dto.result.R;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.util.List;

/**
 * <p>
 * 考评规则信息 服务类
 * </p>
 *
 * @author wang
 * @since 2023-02-28
 */
public interface IEvaluateRuleInfoService extends IService<EvaluateRuleInfo> {

	List<EvaluateRuleInfo> list(String id, String des, String indicatorId,String evaluateRuleId,String indicatorName);



	List<EvaluateRuleInfo> list(List<String> evaluateRuleIds);

	List<EvaluateRuleInfoIndicatorDTO> listByIndicatorInfo(List<String> ruleInfoIds);

	List<EvaluateRuleInfo> getEvaluateRuleInfoByEvaluateRuleId(String evaluateRuleId);

	boolean updateDeleteTime(List<String> ids);

	void exportExcel(String id, String indicatorName, HttpServletResponse response) throws IOException;

	void importTemplate(HttpServletResponse response) throws IOException;

	R importExcel(MultipartFile file, String id, String userId, String userName);
}
